Bug 198849 - __builtin_constant_p() is broken
__builtin_constant_p() is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 23:07 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 16:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test file (176 bytes, text/plain)
2006-07-13 23:07 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2006-07-13 23:07:58 EDT
Description of problem:
The attached file doesn't compile with "gcc -O", when it should

Version-Release number of selected component (if applicable):
gcc-4.1.1-7

How reproducible:
Dunno.

Steps to Reproduce:
1. Compile attached file with "gcc -O"
2.
3.
  
Actual results:/tmp/tst.c:
In function ‘main’:
/tmp/tst.c:9: error: initializer element is not constant
/tmp/tst.c:9: error: (near initialization for ‘a[0]’)


Expected results:
Initializer is constant zero, so...

Additional info:
Comment 1 Horst H. von Brand 2006-07-13 23:07:58 EDT
Created attachment 132406 [details]
Test file
Comment 2 Jakub Jelinek 2006-07-17 07:52:34 EDT
http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=114358
http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=114359
Backport seems to work, will include in gcc-4.1.1-9.
Comment 3 Jakub Jelinek 2006-07-19 16:03:55 EDT
Should be fixed in gcc-4.1.1-9 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.